{% extends 'base.html' %}
{% load bootstrap %}

{% block menu %}
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link" href="{% url 'home' %}">Home</a>
        </li>
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle active" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Services</a>
            <div class="dropdown-menu">
                <a class="dropdown-item" href="{% url 'core_list_people' %}">People</a>
                <a class="dropdown-item" href="{% url 'core_list_vehicles' %}">Vehicles</a>
                <a class="dropdown-item active" href="{% url 'core_list_movdaily' %}">Rotation</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="{% url 'core_list_monthly' %}">Monthly</a>
            </div>
        </li>

        {% if user.is_authenticated %}
        <li class="nav-item">
            <a class="nav-link disabled">Hello, {{ user}}</a>
        </li>

        <li class="nav-item">
            <a class="nav-link" href="{% url 'logout' %}">Logout</a>
        </li>

        {% else %}
        <li class="nav-item">
            <a class="nav-link" href="{% url 'login' %}">Login</a>
        </li>
        {% endif %}
    </ul>
{% endblock %}

{% block main %}

<div class="row">
			<div class="col">
		<h2>List Daily Movements</h2>
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">Check-In</th>
                    <th scope="col">Check-Out</th>
                    <th scope="col">Price Hour</th>
                    <th scope="col">Vehicle</th>
                    <th scope="col">Payment Status</th>
                </tr>
            </thead>

            <tbody>
                {% for mov in daily_mov %}
                <tr>
                    <th scope="row">{{ mov.check_in }}</th>
                    <th scope="row">{{ mov.check_out }}</th>
                    <th scope="row">{{ mov.price_hour }}</th>
                    <th scope="row">{{ mov.vehicle }}</th>
                    <th scope="row">{{ mov.payment_status }}</th>
                </tr>
                {% endfor %}
            </tbody>
        </table>

		<form action="{% url 'core_new_movdaily' %}" method="POST">
			{% csrf_token %}

			{{ form|bootstrap_horizontal:'col-lg-6' }}

			<button type="submit" class="btn btn-primary">Submit</button>
		</form>
    </div>
</div>
{% endblock %}